@import url('https://fonts.googleapis.com/css?family=Quicksand:400,600,700&display=swap');

:root {
    --background-color: #222629;
    --first-color: #86c232;
    --second-color: #61892f;
    --third-color: #6b6e70;
    --fourth-color: #474b4f;
    --white-color: #fff;
    --black-color: #000;
}

* {
    box-sizing: border-box;
}
body {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--background-color);
    color: var(--first-color);
    font-family: 'Quicksand', sans-serif;
    font-weight: 600;
    height: 80vh;
    margin: 0;
    overflow: hidden;
}
#game-logo {
    border-radius: 50%;
    margin-top: 5px;
    width: 125px;
}
h1 {
    font-size: 2.5rem;
    margin-top: 5px;
    text-align: center;
}
#title-subhead {
    color: var(--third-color);
    font-size: 1.2rem;
    margin: 0;
    text-align: center;
}


/* START GAME CONTAINER STYLES */
.game-container {
  /*outline: 1px solid red;*/
    margin: auto;
    padding: 20px 30px;
    position: relative; /* set because child elements will be absolute */
    height: 350px;
    width: 450px;
}
.figure-container {
  /*outline: 1px solid blue;*/
    fill: transparent;
    stroke: var(--first-color);
    stroke-width: 5px;
    stroke-linecap: round;
}
.hangman-pole {
    stroke-width: 8px;
}
.figure-part {
    display: none; /* hides hangman figure parts */
}
.glow-part {
    display: none; /* hides hangman figure parts */
    stroke: rgba(178,234,99,0.1);
    stroke-width: 11px;
}
.wrong-letters-container {
  height: 75px;
    display: flex;
    flex-direction: column;
    color: var(--second-color);
    position: absolute;
    top: 20px;
    right: 20px;
    text-align: right;
}
.wrong-letters-container p {
    margin: 0 0 5px;
}
.wrong-letters-container span {
    color: var(--first-color);
    font-size: 1.5rem;
}
.word {
  /*outline: 1px solid green;*/
    display: flex;
    position: absolute;
    bottom: 0;
    left: 50%; /* works with transform to center element */
    transform: translateX(-50%); /* works with left to center element */
}
.letter {
    display: inline-flex;
    border-bottom: 4px solid var(--third-color);
    align-items: center;
    justify-content: center;
    font-size: 1.875rem;
    margin: 0 3px;
    height: 50px;
    width: 25px;
}
/* END GAME CONTAINER STYLES */


/* START POPUP CONTAINER STYLES */
.popup-container {
    display: flex;
    display: none; /* manipulated by javascript */
    background-color: rgba(0,0,0,0.3);
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    align-items: center;
    justify-content: center;
}
.popup {
    /* background: var(--background-color); */
    background: var(--first-color);
    border-radius: 5px;
    border: 4px solid var(--second-color);
    border: 4px solid lightgrey;
    /* box-shadow: 0 0 5px 1px rgba(97,137,47,0.9); */
    /* color: var(--first-color); */
    color: var(--background-color);
    padding: 20px 20px 40px 20px;
    text-align: center;
}
.popup button {
    /* background-color: var(--first-color); */
    background-color: var(--fourth-color);
    color: var(--first-color);
    border: 0;
    border-radius: 3px;
    cursor: pointer;
    font-size: 1rem;
    font-weight: bold;
    margin-top: 20px;
    padding: 12px 20px;
}
.popup button:hover {
    background-color: var(--third-color);
    color: gainsboro;
}
.popup button:active {
    transform: scale(0.95);
}
.popup button:focus {
    outline: 0;
}
/* END POPUP CONTAINER STYLES */


/* START NOTICATION CONTAINER STYLES */
.notification-container {
    background-color: rgba(0,0,0,0.3);
    border-radius: 10px 10px 0 0;
    padding: 15px 20px;
    position: absolute;
    bottom: -50px;
    transition: transform 0.3s ease-in-out;
}
.notification-container p {
    margin: 0; /* works with bottom above to hide container */
}
.notification-container.show { /* show class dynamically added by javascript */
    transform: translateY(-50px); /* works with transition above to show container */
}
#final-message-reveal-word {
    color: var(--background-color);
}
/* END NOTICATION CONTAINER STYLES */


/* MEDIA QUERIES */
@media(max-width: 480px) {
    #game-logo {
        width: 100px;
    }
    h1 {
        font-size: 2rem;
        padding: 0 20px;
    }
    #title-subhead {
        font-size: 1rem;
        padding: 0 20px;
    }
    .game-container {
        padding: 20px 0;
        width: 90%;
    }
    .figure-container {
        margin-bottom: 25px;
    }
    .popup {
        width: 95%;
    }
    .popup h2 {
        font-size: 1.2rem;
    }
    .popup h3 {
        font-size: 1rem;
    }
}